package com.ruoyi.traceability.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 读取记录对象 pro_readrecord
 * 
 * @author wenjy
 * @date 2022-11-09
 */
public class ProReadrecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long id;

    /** 机台编号 */
    @Excel(name = "机台编号")
    private Long machineId;

    /** 资源号 */
    @Excel(name = "资源号")
    private String resource;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private Long equipId;

    /** 位置编号 */
    @Excel(name = "位置编号")
    private Long positionId;

    /** 天线编号 */
    @Excel(name = "天线编号")
    private Long ant;

    /** RFID条码 */
    @Excel(name = "RFID条码")
    private String rfidStr;

    /** 是否成功 */
    @Excel(name = "是否成功")
    private Long isSuccess;

    /** 读取时间 */
    @Excel(name = "读取时间")
    private String readTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMachineId(Long machineId) 
    {
        this.machineId = machineId;
    }

    public Long getMachineId() 
    {
        return machineId;
    }
    public void setResource(String resource) 
    {
        this.resource = resource;
    }

    public String getResource() 
    {
        return resource;
    }
    public void setEquipId(Long equipId) 
    {
        this.equipId = equipId;
    }

    public Long getEquipId() 
    {
        return equipId;
    }
    public void setPositionId(Long positionId) 
    {
        this.positionId = positionId;
    }

    public Long getPositionId() 
    {
        return positionId;
    }
    public void setAnt(Long ant) 
    {
        this.ant = ant;
    }

    public Long getAnt() 
    {
        return ant;
    }
    public void setRfidStr(String rfidStr) 
    {
        this.rfidStr = rfidStr;
    }

    public String getRfidStr() 
    {
        return rfidStr;
    }
    public void setIsSuccess(Long isSuccess) 
    {
        this.isSuccess = isSuccess;
    }

    public Long getIsSuccess() 
    {
        return isSuccess;
    }
    public void setReadTime(String readTime) 
    {
        this.readTime = readTime;
    }

    public String getReadTime() 
    {
        return readTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("machineId", getMachineId())
            .append("resource", getResource())
            .append("equipId", getEquipId())
            .append("positionId", getPositionId())
            .append("ant", getAnt())
            .append("rfidStr", getRfidStr())
            .append("isSuccess", getIsSuccess())
            .append("readTime", getReadTime())
            .toString();
    }
}
